package cn.estsh.i3plus.ext.mes.pcn.api.busi.jx;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.WorkOrderQueryDto;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

public interface IJxWorkOrderService {

    /**
     * 分页查询工单
     * @param workOrderQueryDto 查询条件
     * @return 管理码信息
     */
    @ApiOperation(value = "根据管理编码获取管理码信息", notes = "根据管理编码获取管理码信息")
    ListPager queryWorkOrderByPager(WorkOrderQueryDto workOrderQueryDto, Pager pager);

}
